Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO::Ret_Special_Basic_SArgument_T< S, to_S, from_S > Class Template Reference

`#include <Special_Basic_SArgument_T.h>`

Inheritance diagram for TAO::Ret_Special_Basic_SArgument_T< S, to_S, from_S >:

[legend]
Collaboration diagram for TAO::Ret_Special_Basic_SArgument_T< S, to_S, from_S >:

[legend]
List of all members.

## Public Methods
| Ret_Special_Basic_SArgument_T (void)
virtual CORBA::Boolean | marshal (TAO_OutputCDR &)
virtual void | interceptor_result (CORBA::Any *)
S & | arg (void)
## Private Attributes
S | x_

### template<typename S, typename to_S, typename from_S>
class TAO::Ret_Special_Basic_SArgument_T< S, to_S, from_S >

## Constructor & Destructor Documentation

template<typename S, typename to_S, typename from_S>
ACE_INLINE TAO::Ret_Special_Basic_SArgument_T< S, to_S, from_S >::Ret_Special_Basic_SArgument_T | ( | void |  | ) |

## Member Function Documentation

template<typename S, typename to_S, typename from_S>
ACE_INLINE S & TAO::Ret_Special_Basic_SArgument_T< S, to_S, from_S >::arg | ( | void |  | ) |

template<typename S, typename to_S, typename from_S>
void TAO::Ret_Special_Basic_SArgument_T< S, to_S, from_S >::interceptor_result | ( | CORBA::Any * |  | ) | `[virtual]`

| Reimplemented from TAO::Argument.

template<typename S, typename to_S, typename from_S>
CORBA::Boolean TAO::Ret_Special_Basic_SArgument_T< S, to_S, from_S >::marshal | ( | TAO_OutputCDR & |  | ) | `[virtual]`

| Reimplemented from TAO::Argument.

## Member Data Documentation

template<typename S, typename to_S, typename from_S>
S TAO::Ret_Special_Basic_SArgument_T< S, to_S, from_S >::x_`[private]`

The documentation for this class was generated from the following files:

- Special_Basic_SArgument_T.h
- Special_Basic_SArgument_T.cpp
- Special_Basic_SArgument_T.inl